addon = ...
--Command.System.Strict()

local context = UI.CreateContext(addon.identifier)
local text = UI.CreateFrame("Text", "myUI_FPS", context)

text:SetFontSize(60)
text:SetPoint("RIGHTCENTER", UIParent, "RIGHTCENTER", -8, -40)


local last = 0
local frames = 0
local now
local elapsed
local fps

local function update()
	now = Inspect.Time.Frame()
	elapsed = now - last
	frames = frames + 1
	
	if (elapsed > 1) then
		fps = math.floor(frames/elapsed)
		if (fps ~= text.fps) then
			text.fps = fps
			text:SetText(tostring(fps))
		end
		frames = 0
		last = now		
	end

end

table.insert(Event.System.Update.End, {update, addon.identifier, "update"})

