local unitframes = ...

--[[ 	indicators,  text values and icons
	
	indicators:
		relation
		calling
		tier
		role
		tagged
		lowHealth
		lowMana
		combat
		aggro
]]--
--[[ 	text values		

	text:
		hp%		health %
		hp		health/maxhealth
		-hp		health deficit
		pwr%		power %
		pwr		power/maxpower
		chrg		charge
		lvl		level
		name		name				
		planar	planar/planarMax
		vit		vitality
		mark		mark
		guild		guild
		loc		location
		race		race
		fac		faction
		calling	calling
		rel		relation
]]--
--[[	icons

	icons:
		role		tank / heal / dps / support
		player		is player
		calling	mage / cleric / warrior / rogue / other
		pvp		pvp flagged
		vitality	has soul damage
		ready		readycheck status
		loot		guarenteed loot
		dead		unit is dead
		tier		group / raid
		faction	faction
		tagged	who tagged this unit
		
		
]]--
--[[ 	action rules
				
	%u 		equivalent to @frame.unit
	;		equivalient to '\n'
	%menu	shows the context menu
	
	All actions will have 'suppressmacrofailures' prepended

]]--


function unitframes._getAccountDefaults()
	local id = unitframes.identifier
	local defaults = {	
		Version = unitframes.toc.Version,
		
		actions = {
			LeftDown = "target %u",
			RightDown = "%menu",
		},
		chargebar = {
			bgcolor = {
				0,
				0,
				0,
				1
			},
			cyratio = 2,
			indicator = "nil",
			indicator2 = "nil",
			margin = 0,
			show = true
		},
		chargebar_text1 = {
			fgcolor = {
				1,
				1,
				1,
				1
			},
			fontsize = 10,
			indicator = "nil",
			indicator2 = "nil",
			text = "planar",
			xoff = 0,
			yoff = 0
		},
		chargebar_text2 = {
			fgcolor = {
				1,
				1,
				1,
				1
			},
			fontsize = 10,
			indicator = "nil",
			indicator2 = "nil",
			text = "chrg",
			xoff = 0,
			yoff = 0
		},
		colors = {
			bars = {
				charge = {
					0,
					0.502,
					0.502,
					1
				},
				energy = {
					1,
					0,
					1,
					1
				},
				health = {
					0,
					0.5,
					0,
					1
				},
				mana = {
					0,
					0,
					1,
					1
				},
				power = {
					0.722,
					0.525,
					0.043,
					1
				}
			},
			calling = {
				cleric = {
					0.196,
					0.804,
					0.196,
					1
				},
				mage = {
					0.6,
					0.196,
					0.8,
					1
				},
				rogue = {
					1,
					1,
					0,
					1
				},
				warrior = {
					1,
					0,
					0,
					1
				}
			},
			faction = {
				defiant = {
					1,
					0,
					0,
					1
				},
				guardian = {
					0,
					0,
					1,
					1
				}
			},
			misc_colors = {
				combat = {
					0.6,
					0,
					0,
					1
				},
				aggro = {
					1, 0, 0, 1				
				},
				lowHealth = {
					0.5,
					0,
					0,
					1
				},
				lowMana = {
					0,
					0.749,
					1,
					1
				},
				ready = {
					0,
					1,
					0,
					1
				}
			},
			relation = {
				friendly = {
					0.078,
					0.804,
					0.078,
					1
				},
				hostile = {
					1,
					0,
					0,
					1
				},
				neutral = {
					1,
					1,
					0,
					1
				}
			},
			role = {
				dps = {
					1,
					0,
					0,
					1
				},
				heal = {
					0,
					1,
					0,
					1
				},
				support = {
					0.6,
					0.196,
					0.8,
					1
				},
				tank = {
					0,
					0,
					1,
					1
				}
			},
			tagged = {
				tagged_other = {
					0.5,
					0.5,
					0,
					1
				},
				tagged_true = {
					0,
					0.5,
					0,
					1
				}
			},
			tier = {
				group = {
					1,
					1,
					0,
					1
				},
				raid = {
					1,
					0,
					0,
					1
				}
			},
			ui = {
				ttipbg = {
					0,
					0,
					0,
					1
				},
				ttipfg = {
					1,
					1,
					1,
					1
				}
			}
		},
		extra_text1 = {
			fgcolor = {
				1,
				1,
				1,
				1
			},
			fontsize = 12,
			indicator = "nil",
			indicator2 = "nil",
			text = "nil",
			xoff = 0,
			yoff = 0
		},
		extra_text2 = {
			fgcolor = {
				1,
				1,
				1,
				1
			},
			fontsize = 12,
			indicator = "nil",
			indicator2 = "nil",
			text = "nil",
			xoff = 0,
			yoff = 0
		},
		frames = {
			focus = {
				actions = {
				},
				chargebar = {
				},
				chargebar_text1 = {
				},
				chargebar_text2 = {
				},
				cx = 180,
				cy = 60,
				enabled = false,
				extra_text1 = {
				},
				extra_text2 = {
				},
				healthbar = {
				},
				healthbar_text1 = {
				},
				healthbar_text2 = {
				},
				icons = {
					dead = {
					},
					faction = {
					},
					loot = {
					},
					player = {
					},
					pvp = {
					},
					role = {
					},
					tagged = {
					},
					tier = {
					},
					vitality = {
					}
				},
				portrait = {
				},
				powerbar = {
				},
				powerbar_text1 = {
				},
				powerbar_text2 = {
				},
				titlebar = {
				},
				titlebar_text1 = {
				},
				titlebar_text2 = {
				},
				unitframe = {
				},
				x = 40,
				y = 630
			},
			["focus.target"] = {
				actions = {
				},
				chargebar = {
				},
				chargebar_text1 = {
				},
				chargebar_text2 = {
				},
				cx = 180,
				cy = 60,
				enabled = false,
				extra_text1 = {
				},
				extra_text2 = {
				},
				healthbar = {
				},
				healthbar_text1 = {
				},
				healthbar_text2 = {
				},
				icons = {
					dead = {
					},
					faction = {
					},
					loot = {
					},
					player = {
					},
					pvp = {
					},
					role = {
					},
					tagged = {
					},
					tier = {
					},
					vitality = {
					}
				},
				portrait = {
				},
				powerbar = {
				},
				powerbar_text1 = {
				},
				powerbar_text2 = {
				},
				titlebar = {
				},
				titlebar_text1 = {
				},
				titlebar_text2 = {
				},
				unitframe = {
				},
				x = 240,
				y = 360
			},
			group01 = {
				actions = {
				},
				chargebar = {
				},
				chargebar_text1 = {
				},
				chargebar_text2 = {
				},
				colspacing = 4,
				cx = 140,
				cy = 60,
				enabled = true,
				extra_text1 = {
				},
				extra_text2 = {
				},
				healthbar = {
					cyratio = 6
				},
				healthbar_text1 = {
					fontsize = 28
				},
				healthbar_text2 = {
					fontsize = 24,
					text = "hp%"
				},
				icons = {
					dead = {
					},
					faction = {
					},
					loot = {
					},
					player = {
					},
					pvp = {
					},
					role = {
						cxy = 16,
						xoff = 12,
						yoff = 11
					},
					tagged = {
					},
					tier = {
					},
					vitality = {
					}
				},
				portrait = {
					show = false
				},
				powerbar = {
					cyratio = 1
				},
				powerbar_text1 = {
					fontsize = 12
				},
				powerbar_text2 = {
					text = "nil"
				},
				rowspacing = 4,
				titlebar = {
					cyratio = 4
				},
				titlebar_text1 = {
					xoff = 17
				},
				titlebar_text2 = {
					fontsize = 14
				},
				unitframe = {
				},
				x = 430,
				y = 140
			},
			["group01.pet"] = {
				actions = {
				},
				chargebar = {
				},
				chargebar_text1 = {
				},
				chargebar_text2 = {
				},
				colspacing = 4,
				cx = 140,
				cy = 60,
				enabled = false,
				extra_text1 = {
				},
				extra_text2 = {
				},
				healthbar = {
				},
				healthbar_text1 = {
				},
				healthbar_text2 = {
				},
				icons = {
					dead = {
					},
					faction = {
					},
					loot = {
					},
					player = {
					},
					pvp = {
					},
					role = {
						show = false
					},
					tagged = {
					},
					tier = {
					},
					vitality = {
					}
				},
				portrait = {
					show = false
				},
				powerbar = {
				},
				powerbar_text1 = {
				},
				powerbar_text2 = {
				},
				rowspacing = 4,
				titlebar = {
				},
				titlebar_text1 = {
				},
				titlebar_text2 = {
				},
				unitframe = {
				},
				x = 430,
				y = 140
			},
			mouseover = {
				actions = {
				},
				chargebar = {
				},
				chargebar_text1 = {
				},
				chargebar_text2 = {
				},
				cx = 180,
				cy = 60,
				enabled = false,
				extra_text1 = {
				},
				extra_text2 = {
				},
				healthbar = {
				},
				healthbar_text1 = {
				},
				healthbar_text2 = {
				},
				icons = {
					dead = {
					},
					faction = {
					},
					loot = {
					},
					player = {
					},
					pvp = {
					},
					role = {
					},
					tagged = {
					},
					tier = {
					},
					vitality = {
					}
				},
				portrait = {
				},
				powerbar = {
				},
				powerbar_text1 = {
				},
				powerbar_text2 = {
				},
				titlebar = {
				},
				titlebar_text1 = {
				},
				titlebar_text2 = {
				},
				unitframe = {
				},
				x = 40,
				y = 450
			},
			["mouseover.target"] = {
				actions = {
				},
				chargebar = {
				},
				chargebar_text1 = {
				},
				chargebar_text2 = {
				},
				cx = 180,
				cy = 60,
				enabled = false,
				extra_text1 = {
				},
				extra_text2 = {
				},
				healthbar = {
				},
				healthbar_text1 = {
				},
				healthbar_text2 = {
				},
				icons = {
					dead = {
					},
					faction = {
					},
					loot = {
					},
					player = {
					},
					pvp = {
					},
					role = {
					},
					tagged = {
					},
					tier = {
					},
					vitality = {
					}
				},
				portrait = {
				},
				powerbar = {
				},
				powerbar_text1 = {
				},
				powerbar_text2 = {
				},
				titlebar = {
				},
				titlebar_text1 = {
				},
				titlebar_text2 = {
				},
				unitframe = {
				},
				x = 240,
				y = 450
			},
			player = {
				actions = {
				},
				chargebar = {
				},
				chargebar_text1 = {
				},
				chargebar_text2 = {
				},
				cx = 280,
				cy = 80,
				enabled = true,
				extra_text1 = {
				},
				extra_text2 = {
				},
				healthbar = {
				},
				healthbar_text1 = {
					fontsize = 26
				},
				healthbar_text2 = {
					fontsize = 16
				},
				icons = {
					dead = {
					},
					faction = {
					},
					loot = {
					},
					player = {
					},
					pvp = {
						show = true
					},
					role = {
						show = false
					},
					tagged = {
					},
					tier = {
					},
					vitality = {
					}
				},
				portrait = {
				},
				powerbar = {
				},
				powerbar_text1 = {
					fontsize = 16,
					text = "planar"
				},
				powerbar_text2 = {
					fontsize = 16
				},
				titlebar = {
				},
				titlebar_text1 = {
					fontsize = 16
				},
				titlebar_text2 = {
					fontsize = 16
				},
				unitframe = {
				},
				x = 40,
				y = 140
			},
			["player.pet"] = {
				actions = {
				},
				chargebar = {
				},
				chargebar_text1 = {
				},
				chargebar_text2 = {
				},
				cx = 180,
				cy = 60,
				enabled = true,
				extra_text1 = {
				},
				extra_text2 = {
				},
				healthbar = {
				},
				healthbar_text1 = {
				},
				healthbar_text2 = {
				},
				icons = {
					dead = {
					},
					faction = {
					},
					loot = {
					},
					player = {
					},
					pvp = {
					},
					role = {
						show = false
					},
					tagged = {
					},
					tier = {
					},
					vitality = {
					}
				},
				portrait = {
				},
				powerbar = {
				},
				powerbar_text1 = {
				},
				powerbar_text2 = {
				},
				titlebar = {
				},
				titlebar_text1 = {
				},
				titlebar_text2 = {
				},
				unitframe = {
				},
				x = 40,
				y = 540
			},
			["player.pet.target"] = {
				actions = {
				},
				chargebar = {
				},
				chargebar_text1 = {
				},
				chargebar_text2 = {
				},
				cx = 180,
				cy = 60,
				enabled = false,
				extra_text1 = {
				},
				extra_text2 = {
				},
				healthbar = {
				},
				healthbar_text1 = {
				},
				healthbar_text2 = {
				},
				icons = {
					dead = {
					},
					faction = {
					},
					loot = {
					},
					player = {
					},
					pvp = {
					},
					role = {
						show = false
					},
					tagged = {
					},
					tier = {
					},
					vitality = {
					}
				},
				portrait = {
				},
				powerbar = {
				},
				powerbar_text1 = {
				},
				powerbar_text2 = {
				},
				titlebar = {
				},
				titlebar_text1 = {
				},
				titlebar_text2 = {
				},
				unitframe = {
				},
				x = 240,
				y = 540
			},
			["player.target"] = {
				actions = {
				},
				chargebar = {
				},
				chargebar_text1 = {
				},
				chargebar_text2 = {
				},
				cx = 280,
				cy = 80,
				enabled = true,
				extra_text1 = {
				},
				extra_text2 = {
				},
				healthbar = {
				},
				healthbar_text1 = {
					fontsize = 26
				},
				healthbar_text2 = {
					fontsize = 16
				},
				icons = {
					dead = {
					},
					faction = {
					},
					loot = {
						show = true,
						xoff = 13
					},
					player = {
						show = true
					},
					pvp = {
						show = true
					},
					role = {
						cxy = 21,
						xoff = 7,
						yoff = 7
					},
					tagged = {
						anchor = "CENTER",
						cxy = 46,
						show = true,
						xoff = 2,
						yoff = 10
					},
					tier = {
					},
					vitality = {
					}
				},
				portrait = {
				},
				powerbar = {
				},
				powerbar_text1 = {
				},
				powerbar_text2 = {
					fontsize = 16
				},
				titlebar = {
				},
				titlebar_text1 = {
					fontsize = 16
				},
				titlebar_text2 = {
					fontsize = 16
				},
				unitframe = {
				},
				x = 40,
				y = 250
			},
			["player.target.target"] = {
				actions = {
				},
				chargebar = {
				},
				chargebar_text1 = {
				},
				chargebar_text2 = {
				},
				cx = 180,
				cy = 60,
				enabled = false,
				extra_text1 = {
				},
				extra_text2 = {
				},
				healthbar = {
				},
				healthbar_text1 = {
				},
				healthbar_text2 = {
				},
				icons = {
					dead = {
					},
					faction = {
					},
					loot = {
					},
					player = {
					},
					pvp = {
					},
					role = {
					},
					tagged = {
					},
					tier = {
					},
					vitality = {
					}
				},
				portrait = {
				},
				powerbar = {
				},
				powerbar_text1 = {
				},
				powerbar_text2 = {
				},
				titlebar = {
				},
				titlebar_text1 = {
				},
				titlebar_text2 = {
				},
				unitframe = {
				},
				x = 40,
				y = 360
			}
		},
		healthbar = {
			bgcolor = {
				0,
				0,
				0,
				1
			},
			cyratio = 3,
			indicator = "lowHealth",
			indicator2 = "nil",
			margin = 0,
			show = true
		},
		healthbar_text1 = {
			fgcolor = {
				1,
				1,
				1,
				1
			},
			fontsize = 12,
			indicator = "nil",
			indicator2 = "nil",
			text = "mark",
			xoff = 0,
			yoff = 0
		},
		healthbar_text2 = {
			fgcolor = {
				1,
				1,
				1,
				1
			},
			fontsize = 12,
			indicator = "nil",
			indicator2 = "nil",
			text = "hp",
			xoff = 0,
			yoff = 0
		},
		icons = {
			dead = {
				anchor = "CENTER",
				cxy = 48,
				show = true,
				tooltip = "nil",
				xoff = 0,
				yoff = 0
			},
			faction = {
				anchor = "LEFTCENTER",
				cxy = 28,
				show = false,
				tooltip = "nil",
				xoff = 0,
				yoff = 0
			},
			loot = {
				anchor = "TOPCENTER",
				cxy = 24,
				show = false,
				tooltip = "nil",
				xoff = 0,
				yoff = 4
			},
			player = {
				anchor = "BOTTOMLEFT",
				cxy = 26,
				show = false,
				tooltip = "nil",
				xoff = 4,
				yoff = -47
			},
			pvp = {
				anchor = "BOTTOMLEFT",
				cxy = 26,
				show = false,
				tooltip = "nil",
				xoff = 4,
				yoff = -17
			},
			role = {
				anchor = "TOPLEFT",
				cxy = 18,
				show = true,
				tooltip = "pwr",
				xoff = 0,
				yoff = 0
			},
			tagged = {
				anchor = "LEFTCENTER",
				cxy = 28,
				show = false,
				tooltip = "nil",
				xoff = 108,
				yoff = 0
			},
			tier = {
				anchor = "TOPLEFT",
				cxy = 48,
				show = false,
				tooltip = "chrg",
				xoff = 0,
				yoff = 14
			},
			vitality = {
				anchor = "TOPCENTER",
				cxy = 26,
				show = false,
				tooltip = "vit",
				xoff = 3,
				yoff = 3
			},
			ready = {
				anchor = "CENTER",
				cxy = 32,
				show = false,
				tooltip = "nil",
				xoff = 0, 
				yoff = 0
			}
		},
		lowHealth = 0.4,
		lowMana = 0.3,

		portrait = {
			align = "LEFT",
			bgcolor = {
				1,
				1,
				1,
				1
			},
			indicator = "relation",
			indicator2 = "nil",
			margin = 2,
			show = true
		},
		powerbar = {
			bgcolor = {
				0,
				0,
				0,
				1
			},
			cyratio = 3,
			indicator = "lowMana",
			indicator2 = "nil",
			margin = 0,
			show = true
		},
		powerbar_text1 = {
			fgcolor = {
				1,
				1,
				1,
				1
			},
			fontsize = 12,
			indicator = "nil",
			indicator2 = "nil",
			text = "nil",
			xoff = 0,
			yoff = 0
		},
		powerbar_text2 = {
			fgcolor = {
				1,
				1,
				1,
				1
			},
			fontsize = 12,
			indicator = "nil",
			indicator2 = "nil",
			text = "pwr",
			xoff = 0,
			yoff = 0
		},
		textures = {
			cleric = {
				file = "images/cleric.jpg",
				src = "myUIUF"
			},
			dead = {
				file = "images/dead.png",
				src = "myUIUF"
			},
			defiant = {
				file = "images/defiant.png",
				src = "myUIUF"
			},
			dps = {
				file = "images/dps.png",
				src = "myUIUF"
			},
			group = {
				file = "images/tier_group.png",
				src = "myUIUF"
			},
			guardian = {
				file = "images/guardian.png",
				src = "myUIUF"
			},
			heal = {
				file = "images/healer.png",
				src = "myUIUF"
			},
			loot = {
				file = "images/loot.png",
				src = "myUIUF"
			},
			mage = {
				file = "images/mage.jpg",
				src = "myUIUF"
			},
			player = {
				file = "images/player.png",
				src = "myUIUF"
			},
			pvp = {
				file = "images/pvp.png",
				src = "myUIUF"
			},
			raid = {
				file = "images/tier_raid.png",
				src = "myUIUF"
			},
			ready = {
				file = "images/ready.png",
				src = "myUIUF"
			},
			rogue = {
				file = "images/rogue.jpg",
				src = "myUIUF"
			},
			support = {
				file = "images/support.png",
				src = "myUIUF"
			},
			tagged_other = {
				file = "images/tagged_other.png",
				src = "myUIUF"
			},
			tagged_true = {
				file = "images/tagged_true.png",
				src = "myUIUF"
			},
			tank = {
				file = "images/tank.png",
				src = "myUIUF"
			},
			unknown = {
				file = "images/unknown.jpg",
				src = "myUIUF"
			},
			vitality = {
				file = "images/vitality.png",
				src = "myUIUF"
			},
			warrior = {
				file = "images/warrior.jpg",
				src = "myUIUF"
			}
		},
		titlebar = {
			bgcolor = {
				0,
				0,
				0,
				1
			},
			cyratio = 3,
			indicator = "nil",
			indicator2 = "nil",
			margin = 0,
			show = true
		},
		titlebar_text1 = {
			fgcolor = {
				1,
				1,
				1,
				1
			},
			fontsize = 12,
			indicator = "calling",
			indicator2 = "nil",
			text = "name",
			xoff = 0,
			yoff = 0
		},
		titlebar_text2 = {
			fgcolor = {
				1,
				1,
				1,
				1
			},
			fontsize = 12,
			indicator = "nil",
			indicator2 = "nil",
			text = "lvl",
			xoff = 0,
			yoff = 0
		},
		unitframe = {
			bgcolor = {
				0,
				0,
				0,
				0.6
			},
			indicator = "aggro",
			indicator2 = "combat",
			margin = 2
		}


	}
	return defaults
end
